### Class

# EvinceView DocumentModel

#### Description

    final class EvinceView.DocumentModel : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ev_document_model_new

No description available.

###### ev_document_model_new_with_document

No description available.

#### Instance methods

###### ev_document_model_get_continuous

No description available.

###### ev_document_model_get_document

Returns the `EvDocument` referenced by the model.

###### ev_document_model_get_dual_page

No description available.

deprecated: 3.8

###### ev_document_model_get_dual_page_odd_pages_left

No description available.

###### ev_document_model_get_fullscreen

No description available.

###### ev_document_model_get_inverted_colors

No description available.

###### ev_document_model_get_max_scale

No description available.

###### ev_document_model_get_min_scale

No description available.

###### ev_document_model_get_page

No description available.

###### ev_document_model_get_page_layout

No description available.

since: 3.8

###### ev_document_model_get_rotation

No description available.

###### ev_document_model_get_rtl

No description available.

###### ev_document_model_get_scale

No description available.

###### ev_document_model_get_sizing_mode

No description available.

###### ev_document_model_set_continuous

No description available.

###### ev_document_model_set_document

No description available.

###### ev_document_model_set_dual_page

Sets the document model’s page layout to `EV_PAGE_LAYOUT_SINGLE` or `EV_PAGE_LAYOUT_DUAL`.

deprecated: 3.8

###### ev_document_model_set_dual_page_odd_pages_left

No description available.

###### ev_document_model_set_fullscreen

No description available.

###### ev_document_model_set_inverted_colors

No description available.

###### ev_document_model_set_max_scale

No description available.

###### ev_document_model_set_min_scale

No description available.

###### ev_document_model_set_page

No description available.

###### ev_document_model_set_page_by_label

No description available.

###### ev_document_model_set_page_layout

Sets the document model’s page layout to `layout`.

since: 3.8

###### ev_document_model_set_rotation

No description available.

###### ev_document_model_set_rtl

No description available.

###### ev_document_model_set_scale

No description available.

###### ev_document_model_set_sizing_mode

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EvinceView.DocumentModel:continuous

No description available.

###### EvinceView.DocumentModel:document

No description available.

###### EvinceView.DocumentModel:dual-odd-left

No description available.

###### EvinceView.DocumentModel:dual-page

No description available.

###### EvinceView.DocumentModel:fullscreen

No description available.

###### EvinceView.DocumentModel:inverted-colors

No description available.

###### EvinceView.DocumentModel:max-scale

No description available.

###### EvinceView.DocumentModel:min-scale

No description available.

###### EvinceView.DocumentModel:page

No description available.

###### EvinceView.DocumentModel:page-layout

No description available.

###### EvinceView.DocumentModel:rotation

No description available.

###### EvinceView.DocumentModel:rtl

No description available.

###### EvinceView.DocumentModel:scale

No description available.

###### EvinceView.DocumentModel:sizing-mode

No description available.

#### Signals

###### EvinceView.DocumentModel::page-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EvinceViewDocumentModelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.